Bug 134976 - CAN-2004-0959 PHP arbitrary file creation
CAN-2004-0959 PHP arbitrary file creation
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: php (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
David Lawrence
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-07 12:49 EDT by Josh Bressers
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 4.3.10-2.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-21 17:07:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2004-10-07 12:49:25 EDT
This issue was reported to bugtraq on 2004-09-15
http://www.securityfocus.com/archive/1/375370

Bad array parsing in the rfc1867.c file could lead to the overwriting
of the $_FILES array, which in turn could allow an attacker to write
arbitrary files with the permission of the user running apache.
Comment 1 Josh Bressers 2004-10-07 14:04:51 EDT
I've created attachment 104908 [details] which contains the upstream patch from
CVS.  We could also upgrade to version 4.3.9 which fixes this issue.

Note You need to log in before you can comment on or make changes to this bug.